Create Folder

Creates a new folder (previously called project). If the folder is created successfully the Location HTTP header will point to the new folder.

Requires api token with one of the following permissions

Read, update & delete anything

Tokens with the "Act with a team member's permissions" permission
(all:delegate_to_contact_permissions scope) can also be used. Requests
made with such a token are authorized using the permissions of the
contact assigned to the token.

An expiring access token
created with the all:delegate_to_contact_permissions scope and an
account authorization granting the create-folders permission can also
be used. The folder's creator is the contact behind the token (the account
owner for a token minted from an account-level token); adminEmail selects
the folder's administrator (defaults to the account owner). personalLibrary
creates the folder inside the My Library of the contact behind the token.
The new folder is not covered by the token that created it, so follow-up
requests need a token whose authorizations name the returned hashed id.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string

The name of the folder you want to create.

string

The email address of the person you want to set as the owner of this folder. Defaults to the Wistia Account Owner.

string

The folder’s description.

boolean

Whether anonymous users can upload media to the folder.

boolean

Whether anonymous users can download media from the folder.

boolean

A flag indicating whether or not the folder is enabled for public access.

boolean

When true, creates the folder inside the requesting user's personal "My Library" (owned by them) instead of a shared account folder.

Headers
string
required
Defaults to 2026-09
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json